-- MySQL Script generated by MySQL Workbench
-- dom 14 feb 2016 15:18:55 VET
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

-- -----------------------------------------------------
-- Schema scet
-- -----------------------------------------------------
DROP SCHEMA IF EXISTS `scet` ;

-- -----------------------------------------------------
-- Schema scet
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `scet` DEFAULT CHARACTER SET utf8 ;
USE `scet` ;

-- -----------------------------------------------------
-- Table `scet`.`Objetos`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `scet`.`Objetos` ;

CREATE TABLE IF NOT EXISTS `scet`.`Objetos` (
  `idObjetos` INT NOT NULL AUTO_INCREMENT,
  `referencia` TEXT NULL DEFAULT NULL,
  `nombre` TEXT NULL DEFAULT NULL,
  PRIMARY KEY (`idObjetos`));

CREATE UNIQUE INDEX `referencia_Objetos_UNIQUE` ON `scet`.`Objetos` (`referencia` ASC);


-- -----------------------------------------------------
-- Table `scet`.`Ubicaciones`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `scet`.`Ubicaciones` ;

CREATE TABLE IF NOT EXISTS `scet`.`Ubicaciones` (
  `idUbicaciones` INT NOT NULL AUTO_INCREMENT,
  `referencia` TEXT NULL DEFAULT NULL,
  `nombre` TEXT NULL DEFAULT NULL,
  PRIMARY KEY (`idUbicaciones`));

CREATE UNIQUE INDEX `referencia_Ubicaciones_UNIQUE` ON `scet`.`Ubicaciones` (`referencia` ASC);


-- -----------------------------------------------------
-- Table `scet`.`Entidades`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `scet`.`Entidades` ;

CREATE TABLE IF NOT EXISTS `scet`.`Entidades` (
  `idEntidades` INT NOT NULL AUTO_INCREMENT,
  `referencia` TEXT NULL DEFAULT NULL,
  `nombre` TEXT NULL DEFAULT NULL,
  PRIMARY KEY (`idEntidades`));

CREATE UNIQUE INDEX `referencia_Entidades_UNIQUE` ON `scet`.`Entidades` (`referencia` ASC);


-- -----------------------------------------------------
-- Table `scet`.`Empresas`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `scet`.`Empresas` ;

CREATE TABLE IF NOT EXISTS `scet`.`Empresas` (
  `idEmpresas` INT NOT NULL AUTO_INCREMENT,
  `idEntidades` INT NOT NULL,
  PRIMARY KEY (`idEmpresas`),
  CONSTRAINT `fk_Empresas_Entidades`
    FOREIGN KEY (`idEntidades`)
    REFERENCES `scet`.`Entidades` (`idEntidades`)
    ON DELETE CASCADE
    ON UPDATE CASCADE);

CREATE INDEX `fk_Empresas_Entidades_idx` ON `scet`.`Empresas` (`idEntidades` ASC);


-- -----------------------------------------------------
-- Table `scet`.`Talleres`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `scet`.`Talleres` ;

CREATE TABLE IF NOT EXISTS `scet`.`Talleres` (
  `idTalleres` INT NOT NULL AUTO_INCREMENT,
  `idUbicaciones` INT NOT NULL,
  `idEmpresas` INT NULL DEFAULT NULL,
  PRIMARY KEY (`idTalleres`),
  CONSTRAINT `fk_Talleres_Ubicaciones`
    FOREIGN KEY (`idUbicaciones`)
    REFERENCES `scet`.`Ubicaciones` (`idUbicaciones`)
    ON DELETE CASCADE
    ON UPDATE CASCADE,
  CONSTRAINT `fk_Talleres_Empresas`
    FOREIGN KEY (`idEmpresas`)
    REFERENCES `scet`.`Empresas` (`idEmpresas`)
    ON DELETE CASCADE
    ON UPDATE CASCADE);

CREATE INDEX `fk_Talleres_Ubicaciones_idx` ON `scet`.`Talleres` (`idUbicaciones` ASC);

CREATE INDEX `fk_Talleres_Empresas_idx` ON `scet`.`Talleres` (`idEmpresas` ASC);


-- -----------------------------------------------------
-- Table `scet`.`Caracteristicas`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `scet`.`Caracteristicas` ;

CREATE TABLE IF NOT EXISTS `scet`.`Caracteristicas` (
  `idCaracteristicas` INT NOT NULL AUTO_INCREMENT,
  `idEntidades` INT NOT NULL,
  `tipo` TEXT NULL DEFAULT NULL,
  `valor` TEXT NULL DEFAULT NULL,
  PRIMARY KEY (`idCaracteristicas`, `idEntidades`),
  CONSTRAINT `fk_Caracteristicas_Entidades`
    FOREIGN KEY (`idEntidades`)
    REFERENCES `scet`.`Entidades` (`idEntidades`)
    ON DELETE CASCADE
    ON UPDATE CASCADE);

CREATE INDEX `fk_Caracteristicas_Entidades_idx` ON `scet`.`Caracteristicas` (`idEntidades` ASC);


-- -----------------------------------------------------
-- Table `scet`.`Especificaciones`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `scet`.`Especificaciones` ;

CREATE TABLE IF NOT EXISTS `scet`.`Especificaciones` (
  `idEspecificaciones` INT NOT NULL AUTO_INCREMENT,
  `idObjetos` INT NOT NULL,
  `tipo` TEXT NOT NULL DEFAULT NULL,
  `valor` TEXT NULL DEFAULT NULL,
  PRIMARY KEY (`idEspecificaciones`),
  CONSTRAINT `fk_Especificaciones_Equipos`
    FOREIGN KEY (`idObjetos`)
    REFERENCES `scet`.`Objetos` (`idObjetos`)
    ON DELETE CASCADE
    ON UPDATE CASCADE);

CREATE INDEX `fk_Especificaciones_Equipos_idx` ON `scet`.`Especificaciones` (`idObjetos` ASC);


-- -----------------------------------------------------
-- Table `scet`.`Tecnicos`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `scet`.`Tecnicos` ;

CREATE TABLE IF NOT EXISTS `scet`.`Tecnicos` (
  `idTecnicos` INT NOT NULL AUTO_INCREMENT,
  `idEntidades` INT NOT NULL,
  `idEmpresas` INT NULL DEFAULT NULL,
  PRIMARY KEY (`idTecnicos`),
  CONSTRAINT `fk_Tecnicos_Entidades`
    FOREIGN KEY (`idEntidades`)
    REFERENCES `scet`.`Entidades` (`idEntidades`)
    ON DELETE CASCADE
    ON UPDATE CASCADE,
  CONSTRAINT `fk_Tecnicos_Empresas`
    FOREIGN KEY (`idEmpresas`)
    REFERENCES `scet`.`Empresas` (`idEmpresas`)
    ON DELETE CASCADE
    ON UPDATE CASCADE);

CREATE INDEX `fk_Tecnicos_Entidades_idx` ON `scet`.`Tecnicos` (`idEntidades` ASC);

CREATE INDEX `fk_Tecnicos_Empresas_idx` ON `scet`.`Tecnicos` (`idEmpresas` ASC);


-- -----------------------------------------------------
-- Table `scet`.`Descripciones`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `scet`.`Descripciones` ;

CREATE TABLE IF NOT EXISTS `scet`.`Descripciones` (
  `idDescripciones` INT NOT NULL AUTO_INCREMENT,
  `idUbicaciones` INT NOT NULL,
  `tipo` TEXT NOT NULL DEFAULT NULL,
  `valor` TEXT NULL DEFAULT NULL,
  PRIMARY KEY (`idDescripciones`),
  CONSTRAINT `fk_Descripciones_Ubicaciones`
    FOREIGN KEY (`idUbicaciones`)
    REFERENCES `scet`.`Ubicaciones` (`idUbicaciones`)
    ON DELETE CASCADE
    ON UPDATE CASCADE);

CREATE INDEX `fk_Descripciones_Ubicaciones_idx` ON `scet`.`Descripciones` (`idUbicaciones` ASC);


-- -----------------------------------------------------
-- Table `scet`.`Almasenes`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `scet`.`Almasenes` ;

CREATE TABLE IF NOT EXISTS `scet`.`Almasenes` (
  `idAlmasenes` INT NOT NULL AUTO_INCREMENT,
  `idUbicaciones` INT NOT NULL,
  `idEmpresas` INT NULL DEFAULT NULL,
  PRIMARY KEY (`idAlmasenes`),
  CONSTRAINT `fk_Almasenes_Ubicaciones`
    FOREIGN KEY (`idUbicaciones`)
    REFERENCES `scet`.`Ubicaciones` (`idUbicaciones`)
    ON DELETE CASCADE
    ON UPDATE CASCADE,
  CONSTRAINT `fk_Almasenes_Empresas`
    FOREIGN KEY (`idEmpresas`)
    REFERENCES `scet`.`Empresas` (`idEmpresas`)
    ON DELETE CASCADE
    ON UPDATE CASCADE);

CREATE INDEX `fk_Almasenes_Ubicaciones_idx` ON `scet`.`Almasenes` (`idUbicaciones` ASC);

CREATE INDEX `fk_Almasenes_Empresas_idx` ON `scet`.`Almasenes` (`idEmpresas` ASC);


-- -----------------------------------------------------
-- Table `scet`.`Herramientas`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `scet`.`Herramientas` ;

CREATE TABLE IF NOT EXISTS `scet`.`Herramientas` (
  `idHerramientas` INT NOT NULL AUTO_INCREMENT,
  `idObjetos` INT NOT NULL,
  `idEmpresas` INT NULL DEFAULT NULL,
  PRIMARY KEY (`idHerramientas`),
  CONSTRAINT `fk_Herramientas_Equipos`
    FOREIGN KEY (`idObjetos`)
    REFERENCES `scet`.`Objetos` (`idObjetos`)
    ON DELETE CASCADE
    ON UPDATE CASCADE,
  CONSTRAINT `fk_Herramientas_Empresas`
    FOREIGN KEY (`idEmpresas`)
    REFERENCES `scet`.`Empresas` (`idEmpresas`)
    ON DELETE CASCADE
    ON UPDATE CASCADE);

CREATE INDEX `fk_Herramientas_Equipos_idx` ON `scet`.`Herramientas` (`idObjetos` ASC);

CREATE INDEX `fk_Herramientas_Empresas_idx` ON `scet`.`Herramientas` (`idEmpresas` ASC);


-- -----------------------------------------------------
-- Table `scet`.`Clientes`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `scet`.`Clientes` ;

CREATE TABLE IF NOT EXISTS `scet`.`Clientes` (
  `idClientes` INT NOT NULL AUTO_INCREMENT,
  `idEntidades` INT NOT NULL,
  PRIMARY KEY (`idClientes`),
  CONSTRAINT `fk_Clientes_Entidades`
    FOREIGN KEY (`idEntidades`)
    REFERENCES `scet`.`Entidades` (`idEntidades`)
    ON DELETE CASCADE
    ON UPDATE CASCADE);

CREATE INDEX `fk_Clientes_Entidades_idx` ON `scet`.`Clientes` (`idEntidades` ASC);


-- -----------------------------------------------------
-- Table `scet`.`Entradas`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `scet`.`Entradas` ;

CREATE TABLE IF NOT EXISTS `scet`.`Entradas` (
  `idEntradas` INT NOT NULL AUTO_INCREMENT,
  `idClientes` INT NOT NULL,
  `idEmpresas` INT NOT NULL,
  `fecha` TEXT NULL DEFAULT NULL,
  `estado` INT NOT NULL DEFAULT 0,
  PRIMARY KEY (`idEntradas`),
  CONSTRAINT `fk_Entradas_Empresas`
    FOREIGN KEY (`idEmpresas`)
    REFERENCES `scet`.`Empresas` (`idEmpresas`)
    ON DELETE CASCADE
    ON UPDATE CASCADE,
  CONSTRAINT `fk_Entradas_Clientes`
    FOREIGN KEY (`idClientes`)
    REFERENCES `scet`.`Clientes` (`idClientes`)
    ON DELETE CASCADE
    ON UPDATE CASCADE);

CREATE INDEX `fk_Entradas_Empresas_idx` ON `scet`.`Entradas` (`idEmpresas` ASC);

CREATE INDEX `fk_Entradas_Clientes_idx` ON `scet`.`Entradas` (`idClientes` ASC);


-- -----------------------------------------------------
-- Table `scet`.`Equipos`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `scet`.`Equipos` ;

CREATE TABLE IF NOT EXISTS `scet`.`Equipos` (
  `idEquipos` INT NOT NULL AUTO_INCREMENT,
  `idObjetos` INT NOT NULL,
  `idClientes` INT NULL DEFAULT NULL,
  PRIMARY KEY (`idEquipos`),
  CONSTRAINT `fk_Equipos_Objetos`
    FOREIGN KEY (`idObjetos`)
    REFERENCES `scet`.`Objetos` (`idObjetos`)
    ON DELETE CASCADE
    ON UPDATE CASCADE,
  CONSTRAINT `fk_Equipos_Clientes`
    FOREIGN KEY (`idClientes`)
    REFERENCES `scet`.`Clientes` (`idClientes`)
    ON DELETE CASCADE
    ON UPDATE CASCADE);

CREATE INDEX `fk_Equipos_Objetos_idx` ON `scet`.`Equipos` (`idObjetos` ASC);

CREATE INDEX `fk_Equipos_Clientes_idx` ON `scet`.`Equipos` (`idClientes` ASC);


-- -----------------------------------------------------
-- Table `scet`.`Trabajos`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `scet`.`Trabajos` ;

CREATE TABLE IF NOT EXISTS `scet`.`Trabajos` (
  `idTrabajos` INT NOT NULL AUTO_INCREMENT,
  `idEquipos` INT NOT NULL,
  `idTalleres` INT NULL DEFAULT NULL,
  `idAlmasenes` INT NULL DEFAULT NULL,
  `idEntradas` INT NOT NULL,
  `fecha` TEXT NULL DEFAULT NULL,
  `estado` INT NOT NULL DEFAULT 0,
  PRIMARY KEY (`idTrabajos`),
  CONSTRAINT `fk_Trabajos_Entradas`
    FOREIGN KEY (`idEntradas`)
    REFERENCES `scet`.`Entradas` (`idEntradas`)
    ON DELETE CASCADE
    ON UPDATE CASCADE,
  CONSTRAINT `fk_Trabajos_Talleres`
    FOREIGN KEY (`idTalleres`)
    REFERENCES `scet`.`Talleres` (`idTalleres`)
    ON DELETE CASCADE
    ON UPDATE CASCADE,
  CONSTRAINT `fk_Trabajos_Almasenes`
    FOREIGN KEY (`idAlmasenes`)
    REFERENCES `scet`.`Almasenes` (`idAlmasenes`)
    ON DELETE CASCADE
    ON UPDATE CASCADE,
  CONSTRAINT `fk_Trabajos_Equipos`
    FOREIGN KEY (`idEquipos`)
    REFERENCES `scet`.`Equipos` (`idEquipos`)
    ON DELETE CASCADE
    ON UPDATE CASCADE);

CREATE INDEX `fk_Trabajos_Entradas_idx` ON `scet`.`Trabajos` (`idEntradas` ASC);

CREATE INDEX `fk_Trabajos_Talleres_idx` ON `scet`.`Trabajos` (`idTalleres` ASC);

CREATE INDEX `fk_Trabajos_Almasenes_idx` ON `scet`.`Trabajos` (`idAlmasenes` ASC);

CREATE INDEX `fk_Trabajos_Equipos_idx` ON `scet`.`Trabajos` (`idEquipos` ASC);


-- -----------------------------------------------------
-- Table `scet`.`Acciones`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `scet`.`Acciones` ;

CREATE TABLE IF NOT EXISTS `scet`.`Acciones` (
  `idAcciones` INT NOT NULL AUTO_INCREMENT,
  `idTecnicos` INT NULL DEFAULT NULL,
  `idHerramientas` INT NULL DEFAULT NULL,
  `idTrabajos` INT NOT NULL,
  `fecha` TEXT NULL DEFAULT NULL,
  `estado` INT NOT NULL DEFAULT 0,
  PRIMARY KEY (`idAcciones`),
  CONSTRAINT `fk_Acciones_Trabajos`
    FOREIGN KEY (`idTrabajos`)
    REFERENCES `scet`.`Trabajos` (`idTrabajos`)
    ON DELETE CASCADE
    ON UPDATE CASCADE,
  CONSTRAINT `fk_Acciones_Tecnicos`
    FOREIGN KEY (`idTecnicos`)
    REFERENCES `scet`.`Tecnicos` (`idTecnicos`)
    ON DELETE CASCADE
    ON UPDATE CASCADE,
  CONSTRAINT `fk_Acciones_Herramientas`
    FOREIGN KEY (`idHerramientas`)
    REFERENCES `scet`.`Herramientas` (`idHerramientas`)
    ON DELETE CASCADE
    ON UPDATE CASCADE);

CREATE INDEX `fk_Acciones_Trabajos_idx` ON `scet`.`Acciones` (`idTrabajos` ASC);

CREATE INDEX `fk_Acciones_Tecnicos_idx` ON `scet`.`Acciones` (`idTecnicos` ASC);

CREATE INDEX `fk_Acciones_Herramientas_idx` ON `scet`.`Acciones` (`idHerramientas` ASC);


-- -----------------------------------------------------
-- Table `scet`.`Contacto`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `scet`.`Contacto` ;

CREATE TABLE IF NOT EXISTS `scet`.`Contacto` (
  `idContacto` INT NOT NULL AUTO_INCREMENT,
  `idEntidades` INT NOT NULL,
  `tipo` TEXT NULL DEFAULT NULL,
  `valor` TEXT NULL DEFAULT NULL,
  PRIMARY KEY (`idContacto`),
  CONSTRAINT `fk_Contacto_Entidades`
    FOREIGN KEY (`idEntidades`)
    REFERENCES `scet`.`Entidades` (`idEntidades`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION);

CREATE INDEX `fk_Contacto_Entidades_idx` ON `scet`.`Contacto` (`idEntidades` ASC);


-- -----------------------------------------------------
-- Table `scet`.`Informacion_Fiscal`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `scet`.`Informacion_Fiscal` ;

CREATE TABLE IF NOT EXISTS `scet`.`Informacion_Fiscal` (
  `idInformacion_Fiscal` INT NOT NULL AUTO_INCREMENT,
  `idEntidades` INT NOT NULL,
  `razon_social` TEXT NULL DEFAULT NULL,
  `rif_tipo` TEXT NOT NULL,
  `rif_numero` INT NOT NULL,
  `rif_final` INT NULL DEFAULT NULL,
  `estado` TEXT NULL DEFAULT NULL,
  `ciudad` TEXT NULL DEFAULT NULL,
  `direccion` TEXT NULL DEFAULT NULL,
  PRIMARY KEY (`idInformacion_Fiscal`),
  CONSTRAINT `fk_Informacion_fiscal_Entidades`
    FOREIGN KEY (`idEntidades`)
    REFERENCES `scet`.`Entidades` (`idEntidades`)
    ON DELETE CASCADE
    ON UPDATE CASCADE);

CREATE INDEX `fk_Informacion_fiscal_Entidades_idx` ON `scet`.`Informacion_Fiscal` (`idEntidades` ASC);

USE `scet` ;

-- -----------------------------------------------------
-- Placeholder table for view `scet`.`_Talleres`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `scet`.`_Talleres` (`idUbicaciones` INT, `idTalleres` INT, `nombre` INT, `referencia` INT, `idEmpresas` INT);

-- -----------------------------------------------------
-- Placeholder table for view `scet`.`_Tecnicos`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `scet`.`_Tecnicos` (`idTecnicos` INT, `idEntidades` INT, `nombre` INT, `referencia` INT, `idEmpresas` INT);

-- -----------------------------------------------------
-- Placeholder table for view `scet`.`_Almasenes`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `scet`.`_Almasenes` (`idAlmasenes` INT, `idUbicaciones` INT, `nombre` INT, `referencia` INT, `idEmpresas` INT);

-- -----------------------------------------------------
-- Placeholder table for view `scet`.`_Herramientas`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `scet`.`_Herramientas` (`idHerramientas` INT, `idObjetos` INT, `nombre` INT, `referencia` INT, `idEmpresas` INT);

-- -----------------------------------------------------
-- Placeholder table for view `scet`.`_Clientes`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `scet`.`_Clientes` (`idClientes` INT, `idEntidades` INT, `nombre` INT, `referencia` INT);

-- -----------------------------------------------------
-- Placeholder table for view `scet`.`_Equipos`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `scet`.`_Equipos` (`idEquipos` INT, `idObjetos` INT, `nombre` INT, `referencia` INT, `idClientes` INT);

-- -----------------------------------------------------
-- Placeholder table for view `scet`.`_Empresas`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `scet`.`_Empresas` (`idEmpresas` INT, `idEntidades` INT, `nombre` INT, `referencia` INT);

-- -----------------------------------------------------
-- Placeholder table for view `scet`.`_Entradas`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `scet`.`_Entradas` (`idEntradas` INT, `idTrabajos` INT, `idEquipos` INT, `idObjetos` INT, `idClientes` INT, `idEntidades` INT, `cliente` INT, `codigo` INT, `equipo` INT, `serial` INT, `entregado` INT, `estado` INT);

-- -----------------------------------------------------
-- View `scet`.`_Talleres`
-- -----------------------------------------------------
DROP VIEW IF EXISTS `scet`.`_Talleres` ;
DROP TABLE IF EXISTS `scet`.`_Talleres`;
USE `scet`;
-- -----------------------------------------------------
-- View _Talleres
-- -----------------------------------------------------
CREATE  OR REPLACE VIEW _Talleres AS
SELECT
    b.idUbicaciones,
    a.idTalleres,
    b.nombre,
    b.referencia,
    a.idEmpresas
FROM Talleres AS a
LEFT JOIN Ubicaciones AS b ON (a.idUbicaciones = b.idUbicaciones);

-- -----------------------------------------------------
-- View `scet`.`_Tecnicos`
-- -----------------------------------------------------
DROP VIEW IF EXISTS `scet`.`_Tecnicos` ;
DROP TABLE IF EXISTS `scet`.`_Tecnicos`;
USE `scet`;
-- -----------------------------------------------------
-- View _Tecnicos
-- -----------------------------------------------------
CREATE  OR REPLACE VIEW _Tecnicos AS
SELECT
    a.idTecnicos,
    b.idEntidades,
    b.nombre,
    b.referencia,
    a.idEmpresas
FROM Tecnicos AS a
LEFT JOIN Entidades AS b ON (a.idEntidades = b.idEntidades);

-- -----------------------------------------------------
-- View `scet`.`_Almasenes`
-- -----------------------------------------------------
DROP VIEW IF EXISTS `scet`.`_Almasenes` ;
DROP TABLE IF EXISTS `scet`.`_Almasenes`;
USE `scet`;
-- -----------------------------------------------------
-- View _Almasenes
-- -----------------------------------------------------
CREATE  OR REPLACE VIEW _Almasenes AS
SELECT
    a.idAlmasenes,
    b.idUbicaciones,
    b.nombre,
    b.referencia,
    a.idEmpresas
FROM Almasenes AS a
LEFT JOIN Ubicaciones AS b ON (a.idUbicaciones = b.idUbicaciones);

-- -----------------------------------------------------
-- View `scet`.`_Herramientas`
-- -----------------------------------------------------
DROP VIEW IF EXISTS `scet`.`_Herramientas` ;
DROP TABLE IF EXISTS `scet`.`_Herramientas`;
USE `scet`;
-- -----------------------------------------------------
-- View _Herramientas
-- -----------------------------------------------------
CREATE  OR REPLACE VIEW _Herramientas AS
SELECT
    a.idHerramientas,
    b.idObjetos,
    b.nombre,
    b.referencia,
    a.idEmpresas
FROM Herramientas AS a
LEFT JOIN Objetos AS b ON (a.idObjetos = b.idObjetos);

-- -----------------------------------------------------
-- View `scet`.`_Clientes`
-- -----------------------------------------------------
DROP VIEW IF EXISTS `scet`.`_Clientes` ;
DROP TABLE IF EXISTS `scet`.`_Clientes`;
USE `scet`;
-- -----------------------------------------------------
-- View _Clientes
-- -----------------------------------------------------
CREATE  OR REPLACE VIEW _Clientes AS
SELECT
    a.idClientes,
    b.idEntidades,
    b.nombre,
    b.referencia
FROM Clientes AS a
LEFT JOIN Entidades AS b ON (a.idEntidades = b.idEntidades);

-- -----------------------------------------------------
-- View `scet`.`_Equipos`
-- -----------------------------------------------------
DROP VIEW IF EXISTS `scet`.`_Equipos` ;
DROP TABLE IF EXISTS `scet`.`_Equipos`;
USE `scet`;
-- -----------------------------------------------------
-- View _Equipos
-- -----------------------------------------------------
CREATE  OR REPLACE VIEW _Equipos AS
SELECT
    a.idEquipos,
    b.idObjetos,
    b.nombre,
    b.referencia,
    a.idClientes
FROM Equipos AS a
LEFT JOIN Objetos AS b ON (a.idObjetos = b.idObjetos);

-- -----------------------------------------------------
-- View `scet`.`_Empresas`
-- -----------------------------------------------------
DROP VIEW IF EXISTS `scet`.`_Empresas` ;
DROP TABLE IF EXISTS `scet`.`_Empresas`;
USE `scet`;
-- -----------------------------------------------------
-- View _Empresas
-- -----------------------------------------------------
CREATE  OR REPLACE VIEW _Empresas AS
SELECT
    a.idEmpresas,
    b.idEntidades,
    b.nombre,
    b.referencia
FROM Empresas AS a
LEFT JOIN Entidades AS b ON (a.idEntidades = b.idEntidades);

-- -----------------------------------------------------
-- View `scet`.`_Entradas`
-- -----------------------------------------------------
DROP VIEW IF EXISTS `scet`.`_Entradas` ;
DROP TABLE IF EXISTS `scet`.`_Entradas`;
USE `scet`;
-- -----------------------------------------------------
-- View _Entradas
-- -----------------------------------------------------
CREATE  OR REPLACE VIEW _Entradas AS
SELECT
    a.idEntradas,
    b.idTrabajos,
    c.idEquipos,
    d.idObjetos,
    e.idClientes,
    f.idEntidades,
    f.nombre AS cliente,
    f.referencia AS codigo,
    d.nombre  AS equipo,
    d.referencia  AS serial,
    a.estado AS entregado,
    b.estado
FROM Entradas AS a
INNER JOIN Trabajos AS b ON (a.idEntradas = b.idEntradas)
INNER JOIN Equipos AS c ON (b.idEquipos = c.idEquipos)
INNER JOIN Objetos AS d ON (c.idObjetos = d.idObjetos)
LEFT JOIN Clientes AS e ON (a.idClientes = e.idClientes)
LEFT JOIN Entidades AS f ON (e.idEntidades = f.idEntidades);

SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
